Subject: bug#18793: 24.4; zero width rectangular selection displaces text

From: Stefan Monnier <[email-masked]>
Date: Wed, 22 Oct 2014 13:29:30 -0400

> Text looks like jelly, doesn't it? I understand that having a visual
> indicator of the empty selection is a good thing but what about the
> following alternatives:

Using the fringe is kind of problematic since the fringe may not be
displayed, and it also mean it's displayed "elsewhere", which is
less convenient.

Keeping the thin line is an alternative I hadn't considered, since
I think this thin line is a problem.  But indeed maybe the movement is
worse than the thin line itself, so maybe keeping the thin line is
a better option.

FWIW, I think the better option is to provide a way to draw a thin line
that does not shift the rest of the text.  But I think that requires
changes in the redisplay code.

        Stefan